/*
** 1998-08-02 -	Header file for the new string module.
*/

#include <sys/types.h>		/* For mode_t. */

#include <glib.h>		/* For g-types. */

gchar *		str_strncpy(gchar *dst, const gchar *src, gsize n);
gchar *		str_strncat(gchar *dst, const char *src, gsize n);
gchar *		str_strntoupper(gchar *dst, char *src, gsize n);

const gchar *	str_strcaserchr(const gchar *str, gchar c);
gboolean	str_has_suffix(const gchar *string, const char *suffix);

const gchar *	str_glob_to_re(const gchar *glob);
void		str_gstring_glob_to_re(GString *glob);

gchar *		str_mode_to_text(char *buf, mode_t mode, gsize max);

gchar *		str_scan_string(char *def, char **str);

gint		str_strcasecmp(const char *s, const char *r);

gchar *		str_word_length(char *str, int *len, char *store);
gchar **	str_split_args(const char *argstring);
